OpenTTD Source: src/company_cmd.h File Reference

OpenTTD Source 13.1

Functions
company_cmd.h File Reference
`#include "command_type.h"`
`#include "company_type.h"`
`#include "livery.h"`

Go to the source code of this file.

## Functions
enum ClientID uint32 enum Colours byte CommandCost | CmdCompanyCtrl (DoCommandFlag flags, CompanyCtrlAction cca, CompanyID company_id, CompanyRemoveReason reason, ClientID client_id)
| Control the companies: add, delete, etc. More...
CommandCost | CmdGiveMoney (DoCommandFlag flags, uint32 money, CompanyID dest_company)
| Transfer funds (money) from one company to another. More...
CommandCost | CmdRenameCompany (DoCommandFlag flags, const std::string &text)
| Change the name of the company. More...
CommandCost | CmdRenamePresident (DoCommandFlag flags, const std::string &text)
| Change the name of the president. More...
CommandCost | CmdSetCompanyManagerFace (DoCommandFlag flags, CompanyManagerFace cmf)
| Change the company manager's face. More...
CommandCost | CmdSetCompanyColour (DoCommandFlag flags, LiveryScheme scheme, bool primary, Colours colour)
| Change the company's company-colour. More...

## Detailed Description

Command definitions related to companies.

Definition in file company_cmd.h.

## Function Documentation

## ◆ CmdCompanyCtrl()

enum ClientID uint32 enum Colours byte CommandCost CmdCompanyCtrl | ( | DoCommandFlag | flags,
|  | CompanyCtrlAction | cca,
|  | CompanyID | company_id,
|  | CompanyRemoveReason | reason,
|  | ClientID | client_id
| ) |  |

Control the companies: add, delete, etc.

Parameters

  flags | operation to perform
  cca | action to perform
  company_id | company to perform the action on
  client_id | ClientID

Returns
  the cost of this operation or an error

Definition at line 816 of file company_cmd.cpp.

References _company_manager_face, _local_company, _network_own_client_id, _network_server, _networking, _settings_client, CCA_DELETE, CCA_NEW, CCA_NEW_AI, NetworkClientInfo::client_id, NetworkClientInfo::client_playas, CloseWindowById(), CMD_ERROR, CompanyNewsInformation::company_name, COMPANY_SPECTATOR, CRR_END, DC_EXEC, NetworkSettings::default_company_pass, DoStartupNewCompany(), NetworkClientInfo::GetByClientID(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::GetIfValid(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::GetNumItems(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, INVALID_COMPANY, InvalidateWindowData(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), MarkWholeScreenDirty(), MAX_COMPANIES, ClientSettings::network, NetworkChangeCompanyPassword(), NetworkServerNewCompany(), NetworkUpdateClientInfo(), SetDParam(), SetDParamStr(), SetLocalCompany(), SyncCompanySettings(), WC_COMPANY_LEAGUE, WC_NETWORK_STATUS_WINDOW, and WN_NETWORK_STATUS_WINDOW_JOIN.

## ◆ CmdGiveMoney()

CommandCost CmdGiveMoney | ( | DoCommandFlag | flags,
|  | uint32 | money,
|  | CompanyID | dest_company
| ) |  |

Transfer funds (money) from one company to another.

To prevent abuse in multiplayer games you can only send money to other companies if you have paid off your loan (either explicitly, or implicitly given the fact that you have more money than loan).

Parameters

  flags | operation to perform
  money | the amount of money to transfer; max 20.000.000
  dest_company | the company to transfer the money to

Returns
  the cost of this operation or an error

Definition at line 1185 of file company_cmd.cpp.

References _current_company, _settings_game, CMD_ERROR, CompanyProperties::current_loan, DC_EXEC, GameSettings::economy, EXPENSES_OTHER, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::Get(), CommandCost::GetCost(), EconomySettings::give_money, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), CompanyProperties::money, and return_cmd_error.

## ◆ CmdRenameCompany()

CommandCost CmdRenameCompany | ( | DoCommandFlag | flags,
|  | const std::string & | text
| ) |  |

Change the name of the company.

Parameters

  flags | operation to perform
  text | the new name or an empty string when resetting to the default

Returns
  the cost of this operation or an error

Definition at line 1059 of file company_cmd.cpp.

References _current_company, CMD_ERROR, CompanyAdminUpdate(), DC_EXEC, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::Get(), IsUniqueCompanyName(), MarkWholeScreenDirty(), MAX_LENGTH_COMPANY_NAME_CHARS, CompanyProperties::name, return_cmd_error, and Utf8StringLength().

## ◆ CmdRenamePresident()

CommandCost CmdRenamePresident | ( | DoCommandFlag | flags,
|  | const std::string & | text
| ) |  |

Change the name of the president.

Parameters

  flags | operation to perform
  text | the new name or an empty string when resetting to the default

Returns
  the cost of this operation or an error

Definition at line 1102 of file company_cmd.cpp.

References _current_company, CMD_ERROR, CompanyAdminUpdate(), DC_EXEC, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::Get(), IsUniquePresidentName(), MarkWholeScreenDirty(), MAX_LENGTH_PRESIDENT_NAME_CHARS, CompanyProperties::name, CompanyProperties::name_1, CompanyProperties::president_name, return_cmd_error, and Utf8StringLength().

## ◆ CmdSetCompanyColour()

CommandCost CmdSetCompanyColour | ( | DoCommandFlag | flags,
|  | LiveryScheme | scheme,
|  | bool | primary,
|  | Colours | colour
| ) |  |

Change the company's company-colour.

Parameters

  flags | operation to perform
  scheme | scheme to set
  primary | set first/second colour
  colour | new colour for vehicles, property, etc.

Returns
  the cost of this operation or an error

Definition at line 955 of file company_cmd.cpp.

## ◆ CmdSetCompanyManagerFace()

CommandCost CmdSetCompanyManagerFace | ( | DoCommandFlag | flags,
|  | CompanyManagerFace | cmf
| ) |  |

Change the company manager's face.

Parameters

  flags | operation to perform
  cmf | face bitmasked

Returns
  the cost of this operation or an error

Definition at line 936 of file company_cmd.cpp.

References _current_company, CMD_ERROR, DC_EXEC, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::Get(), IsValidCompanyManagerFace(), and MarkWholeScreenDirty().